#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xF4,0x0C,0x14,0x69,0xA5,0x44,0xBB,0xE5,0x67,0x26,0xFC,0x0F,
		0xDC,0x06,0x1B,0x63,0x7C,0x81,0x08,0xAD,0x79,0xDA,0xB0,0x8D,
		0x54,0x89,0x81,0x15,0xA8,0x22,0x6E,0x4A,0x72,0xCA,0xB9,0x21,
		0x51,0xFB,0x66,0xEF,0x4A,0x0C,0xD8,0x57,0x9E,0x66,0xDD,0xB3,
		0x2C,0xBD,0x86,0x2E,0xB6,0xEF,0xB5,0x9E,0x14,0x57,0xA7,0xD0,
		0xEF,0xD5,0x2E,0xA7,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
